// charcoalface.inc POV-Ray include file of the charcoal parts of 
//   the face of a Lafayette Quad receiver for the Quad project.  
// (c) January 2005 Mark Stout

// charcoalface = radiowindowgaskettop + radiowindowgasketlow
//   + radiowindowgasketleft + radiowindowgasketright 

// radiowindowgaskettop

#declare radiowindowgaskettop = object {
  box { <13, 64.4, 21.9>, <31, 64.5, 22.01> }
  }

// radiowindowgasketlow

#declare radiowindowgasketlow = object {
  box { <13, 62.25, 21.9>, <31, 62.35, 22.01> }
  }

// radiowindowgasketleft

#declare radiowindowgasketleft = object {
  box { <13, 62.25, 21.9>, <13.1, 64.5, 22.01> }
  }

// radiowindowgasketright

#declare radiowindowgasketright = object {
  box { <30.9, 62.25, 21.9>, <31, 64.5, 22.01> }
  }
  
// sum radiowindowgaskettop, low, left and right into charcoalface

#declare charcoalface = union {
  object { radiowindowgaskettop }
  object { radiowindowgasketlow }
  object { radiowindowgasketleft }
  object { radiowindowgasketright }
  texture { glosscharcoalc }
  }

