// phones.inc  POV-Ray include file to render headphones for the Quad project
// (c) 2004, Mark Stout

#include "earpieces.inc"
#include "headband.inc"
#include "cord.inc"
#include "strain.inc"

// phones = earpieces + headband + cord

// sum earpieces, headband and cord into phones

#declare phones = union {
  object { earpieces }
  object { headband }
  object { cord }
  object { strains }
  }