// radiosides.inc  Pov-Ray include file of the sides of a Lafayette 
//   Quad receiver for the Quad project. 
// (c) December 2004 Mark Stout

// radiosides = radioleft + radioright

// radioleft = radiosideface + radiosideslab

// radiosideface

#declare radiosideface = object {
  box { <12, 60, 21>, <12.5, 65, 22> }
  texture { 
    maplec 
    rotate <90, 0, 0>
    scale <0.2, 50, 0.2>
    }
  }

// radiosideslab

#declare radiosideslab = object { 
  box { <12, 60, 7>, <12.5, 65, 21> }
  texture { 
    maplec
    scale <0.2, 0.2, 50> 
    }
  }  

// sum radiosideface and radiosideslab into radioleft

#declare radioleft = union {
  object { radiosideface }
  object { radiosideslab }
  }

// radioright

#declare radioright = object {
  radioleft
  translate <19.5, 0, 0>
  }

// sum radioleft and radioright into radiosides

#declare radiosides = union {
  object { radioleft }
  object { radioright }
  }
