// shelf-inc Pov-Ray include file of a shelf for the Quad project 
// (c) October 2004 Mark Stout

// shelf = shelftop + shelfleft + shelfright

// shelftop

#declare shelftop = object {
  box { <10, 59.5, 6>, <34, 60, 23> }
  texture { 
    shelfpinec
    rotate <0, 90, 0>
    }
  }

// shelfleft

#declare shelfleft = object {
  box { <10, 40, 6>, <10.5, 59.5, 23> }
  texture { 
    shelfpinec
    rotate <0, 90, 90>
    }
  }

// shelfright

#declare shelfright = object {
  box { <33.5, 40, 6>, <34, 59.5, 23> }
  texture { 
    shelfpinec
    rotate <0, 90, 90>
    }
  }

// sum shelftop, shelfleft and shelfright into shelf

#declare shelf = union {
  object { shelftop }
  object { shelfright }
  object { shelfleft }
  }
