// lights.inc  POV-Ray include file to add lights to the Optron project
// (c) September 2004 Mark Stout


// lights = benchlight, leftlight and rightlight

// Bench

#declare benchlight = light_source {
    <48, 96.5, 18>
    color rgb 0.8
    area_light <12, 96, 12>, <84, 97, 24>, 5, 5
    adaptive 1
  }

// Left

#declare leftlight = light_source {
    <69, 96.5, 138>
    color rgb 0.8
    area_light <63, 96, 114>, <75, 97, 162>, 5, 5
    adaptive 1
  }

// Right

#declare rightlight = light_source {
    <207, 96.5, 138>
    color rgb 0.8
    area_light <201, 96, 114>, <213, 97, 162>, 5, 5
    adaptive 1
  }

// sum benchlight, leftlight and rightlight into lights

#declare lights = union {
  object { benchlight }
  object { leftlight }
  object { rightlight }
  }
